# .readthedocs.yml
# Read the Docs configuration file.
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Build documentation in the docs/src/ directory with Sphinx
sphinx:
  configuration: docs/src/conf.py

# Optionally build your docs in additional formats such as PDF and ePub
formats: all

build:
  os: ubuntu-22.04
  tools:
    python: "3.10"
  apt_packages:
    - cmake

# Optionally set the version of the Python and requirements required to build
#  your docs
python:
  install:
    - requirements: docs/requirements.txt
    - requirements: docs/extra-rtd-requirements.txt